Loading...
Searching...
No Matches
Opm::GridDims Class Reference
Inheritance diagram for Opm::GridDims:

## Public Member Functions

| GridDims (const std::array< int, 3 > &xyz)
| GridDims (std::size_t nx, std::size_t ny, std::size_t nz)
| GridDims (const Deck &deck)
std::size_t | getNX () const
std::size_t | getNY () const
std::size_t | getNZ () const
std::size_t | operator[] (int dim) const
std::array< int, 3 > | getNXYZ () const
std::size_t | getGlobalIndex (std::size_t i, std::size_t j, std::size_t k) const
std::array< int, 3 > | getIJK (std::size_t globalIndex) const
std::size_t | getCartesianSize () const
void | assertGlobalIndex (std::size_t globalIndex) const
void | assertIJK (std::size_t i, std::size_t j, std::size_t k) const
bool | operator== (const GridDims &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GridDims | serializationTestObject ()

## Protected Attributes

std::size_t | m_nx
std::size_t | m_ny
std::size_t | m_nz

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/GridDims.hpp
- opm/input/eclipse/EclipseState/Grid/GridDims.cpp